# DkGridRowGrouping

## Generics

<mark style="color:green;">`<T>`</mark> represents the object's shape coming from the data source.

## Methods

| Method               | Description                                                                                                                                                                                            |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `clearRowGrouping()` | <p>It moves all the columns from the group panel to the center panel.<br></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>void</code></mark>.</p> |

## Events

| Event                     | Description                                                                                                                                                                                                                                                                                          |
| ------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `groupPanelColumnsChange` | <p>It emits when the user moves a column to, from, or inside the group panel. This event sends all the resulting columns after the movement.<br></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>Observable\<DkColumnDef\[]></code></mark>.</p> |
| `collapseGroupRowChange`  | <p>It emits when the user opens or closes a group row.<br></p><p><strong>Params</strong>: None.</p><p><strong>Return</strong>: <mark style="color:green;"><code>Observable\<DkGroupRowCollapseEvent\<T>></code></mark>.</p>                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/dkgrid-api/dkgridrowgrouping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
